### Method

# Fwupd Remote get_agreement

#### Declaration [src]

    const gchar*
    fwupd_remote_get_agreement (
      FwupdRemote* self
    )

#### Description [src]

Gets the remote agreement in AppStream markup format.

Available since: | 1.0.7

#### Return value

Returns: | `const gchar*`
| A string, or `NULL` if unset.
| The data is owned by the instance.
| The value is a NUL terminated UTF-8 string.